import { FavoriteListApi } from "@/api/favorite";
import Product from "@/components/product";
import Search from "@/components/search"
import { Text, View } from "@tarojs/components"
import classnames from "classnames";
import { useCallback, useEffect, useState } from "react";
import CreatePopup from "./components/createPopup";
import styles  from './index.module.scss'
export default () => {
    const changeOpenCon = (item) => {
      item.openStatus = !item.openStatus
      setList((e) => [...e])
    }

    //获取列表
    const [list, setList] = useState([])
    const {fetchData: fetchDataList} = FavoriteListApi()
    const getFavoriteList = async () => {
      let res = await fetchDataList()
      console.log('res::', res)
    }
    useEffect(() => {
      getFavoriteList()
      let res:any = []
      new Array(10).fill('').map(item => {
        res.push(
          {
            "create_time": "string",
            "create_user_name": "string",
            "creator_id": 0,
            "id": 0,
            "name": `${item}- 收藏夹`,
            "product_color_list": [
              {
                "product_code": "string",
                "product_id": 0,
                "product_name": "string"
              }
            ],
            "remark": "string",
            "update_time": "string",
            "update_user_name": "string",
            "updater_id": 0
          }
        )
      })
      console.log('res33::', res)
      setList(res)
    }, [])


    return (
      <View className={styles.collection_main}>
        <View className={styles.search}>
          <Search  style={{width: '100%'}} debounceTime={300} changeOnSearch={(e) => console.log(e)} placeholder="请输入面料关键词" placeIcon="out" showBtn={true} />
        </View>
        <View className={styles.class_list}>
          {list?.map((item:any) => <View className={styles.class_item}>
            <View className={styles.class_title} onClick={() => changeOpenCon(item)}>
              <Text className={classnames(styles.miconfont_left, 'iconfont icon-a-moreback', item.openStatus?styles.miconfont_open:styles.miconfont_close)}></Text>
              <View className={styles.title}>默认收藏夹<Text className={styles.fg}>·</Text><Text className={styles.num}>11</Text></View>
              <View className={styles.more}>更多</View>
            </View>
            <View className={styles.class_con} style={item.openStatus?{maxHeight: 10*260 + 'rpx'}:{maxHeight: 0}} >
              <Product productList={new Array(10).fill('')}/>
            </View>
          </View>)}
        </View>
        <CreatePopup show={true}/>
      </View>
    )
  }